%define anolis_release 1

Name:		xerces-c
Version:	3.2.5
Release:	%{anolis_release}%{?dist}
Summary:	Validating XML Parser

License:	ASL 2.0
URL:		http://xml.apache.org/xerces-c/
Source0:  	https://downloads.apache.org/xerces/c/3/sources/xerces-c-%{version}.tar.xz

BuildRequires:  make gcc-c++ dos2unix

%description 
Xerces-C is a validating XML parser written in a portable
subset of C++. Xerces-C makes it easy to give your application the
ability to read and write XML data. A shared library is provided for
parsing, generating, manipulating, and validating XML
documents. Xerces-C is faithful to the XML 1.0 recommendation and
associated standards: XML 1.0 (Third Edition), XML 1.1 (First
Edition), DOM Level 1, 2, 3 Core, DOM Level 2.0 Traversal and Range,
DOM Level 3.0 Load and Save, SAX 1.0 and SAX 2.0, Namespaces in XML,
Namespaces in XML 1.1, XML Schema, XML Inclusions).

%package	devel
Summary:	Header files, libraries and development documentation for %{name}
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and development
documentation for %{name}. If you like to develop programs using %{name},
you will need to install %{name}-devel.

%package doc
Summary:	Documentation for Xerces-C++ validating XML parser
BuildArch:	noarch
Requires:       %{name} = %{version}-%{release}

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%autosetup -n %{name}-%{version} -p1
mkdir -p _docs
cp -a samples/ _docs/

%build
export CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
export CXXFLAGS="$CFLAGS"
%configure --disable-static --disable-sse2
%make_build V=1

%install
%make_install
iconv -f iso8859-1 -t utf-8 CREDITS > CREDITS.tmp && mv -f CREDITS.tmp CREDITS
pushd doc; dos2unix -k *.xml; popd
rm -rf $RPM_BUILD_ROOT%{_bindir}

%generate_compatibility_deps

%files
%license LICENSE
%{_libdir}/libxerces-c-3.2.so
%dir %{abidir}
%{abidir}/libxerces-c-3.2.dump

%files devel
%{_libdir}/libxerces-c.so
%{_libdir}/pkgconfig/xerces-c.pc
%{_includedir}/xercesc/

%files doc
%license LICENSE
%doc README NOTICE CREDITS doc _docs/*

%changelog
* Thu Dec 21 2023 happy_orange <songnannan@linux.alibaba.com> - 3.2.5-1
- update to 3.2.5

* Wed Apr 12 2023 happy_orange <songnannan@linux.alibaba.com> - 3.2.3-1
- init package
